org.jbpm.services.task.commands

## Class GetTaskByWorkItemIdCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<org.kie.api.task.model.Task>
  - - org.jbpm.services.task.commands.GetTaskByWorkItemIdCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<org.kie.api.task.model.Task>, org.kie.api.command.ExecutableCommand<org.kie.api.task.model.Task>

      public class GetTaskByWorkItemIdCommand
      extends TaskCommand<org.kie.api.task.model.Task>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskByWorkItemIdCommand()`
    `GetTaskByWorkItemIdCommand(Long workItemId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.task.model.Task` | `execute(org.kie.api.runtime.Context cntxt)`
    `Long` | `getWorkItemId()`
    `void` | `setWorkItemId(Long workItemId)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskByWorkItemIdCommand

          public GetTaskByWorkItemIdCommand()

    - #### GetTaskByWorkItemIdCommand

          public GetTaskByWorkItemIdCommand(Long workItemId)

  - ### Method Detail

    - #### getWorkItemId

          public Long getWorkItemId()

    - #### setWorkItemId

          public void setWorkItemId(Long workItemId)

    - #### execute

          public org.kie.api.task.model.Task execute(org.kie.api.runtime.Context cntxt)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.